Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_Interface_Header Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Interface_Header:

[legend]
Collaboration diagram for TAO_PSDL_Interface_Header:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Interface_Header (TAO_PSDL_Node *identifier)
| ****************************************************************
| TAO_PSDL_Interface_Header (TAO_PSDL_Node *type, TAO_PSDL_Node *identifier)
| TAO_PSDL_Interface_Header (TAO_PSDL_Node *type, TAO_PSDL_Node *identifier, TAO_PSDL_Node *interface_inheritance_spec)
virtual | ~TAO_PSDL_Interface_Header (void)
TAO_PSDL_Node * | type (void) const
| Get the value.
TAO_PSDL_Node * | identifier (void) const
TAO_PSDL_Node * | interface_inheritance_spec (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | type_
| The values.
TAO_PSDL_Node * | identifier_
TAO_PSDL_Node * | interface_inheritance_spec_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Interface_Header::TAO_PSDL_Interface_Header | ( | TAO_PSDL_Node * | identifier | ) |

| ****************************************************************

TAO_PSDL_Interface_Header::TAO_PSDL_Interface_Header | ( | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | identifier
| ) |

TAO_PSDL_Interface_Header::TAO_PSDL_Interface_Header | ( | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | interface_inheritance_spec
| ) |

TAO_PSDL_Interface_Header::~TAO_PSDL_Interface_Header | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Interface_Header::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Interface_Header::identifier | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Interface_Header::interface_inheritance_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Interface_Header::type | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Interface_Header::identifier_`[private]`

TAO_PSDL_Node* TAO_PSDL_Interface_Header::interface_inheritance_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Interface_Header::type_`[private]`

| The values. the value of type can be either type_ or interface_inheritance_spec_ if interface_inheritance_spec_ is zero. If it is not zero, everything is straight forward. Reimplemented from TAO_PSDL_Node.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp